Bug 111938 - Blurry borders and colors bleeding in calc8 object
Summary: Blurry borders and colors bleeding in calc8 object
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.2.2 release
Hardware: x86-64 (AMD64) All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Paste
  Show dependency treegraph
 
Reported: 2017-08-21 09:09 UTC by Michael Kůr
Modified: 2018-10-04 22:55 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
The source table (150.74 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-08-21 09:13 UTC, Michael Kůr
Details
Pasted table in edit mode (99.57 KB, image/jpeg)
2017-08-21 09:17 UTC, Michael Kůr
Details
Table copied to writer (87.14 KB, image/jpeg)
2017-08-21 09:19 UTC, Michael Kůr
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Kůr 2017-08-21 09:09:48 UTC
Description:
After copying from Writer to Calc, using Calc8 method, cells have different widths of borderings and some of them are blurry. When I switch to print preview, it looks such as in Word editor. When I double click to edit, the borderings look as in original document. When I try to change the widths of the borderings to one value, they still have different size after escaping mode for editing.

Steps to Reproduce:
1. Open any table in Calc (10 lines at least)
2. Copy the table (or part of it) to any writer document
3. Use the print preview function.

Actual Results:  
The borderings of the cells have different sizes after coping, and some of them are blurry.

Expected Results:
The borderings of cells should have the same widths like in the Calc. 


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.101 Safari/537.36
Comment 1 Michael Kůr 2017-08-21 09:13:39 UTC
Created attachment 135687 [details]
The source table

This is the table from which I tried to copy.
Comment 2 Michael Kůr 2017-08-21 09:17:07 UTC
Created attachment 135688 [details]
Pasted table in edit mode

This image shows how the pasted table looks in the edit mode of Writter.
Comment 3 Michael Kůr 2017-08-21 09:19:34 UTC
Created attachment 135689 [details]
Table copied to writer

This image shows how the pasted table looks in the Writer when is not active.
Comment 4 Buovjaga 2017-08-31 19:48:32 UTC
I see the problems with blurriness and the green colors bleeding into other cells.
But the different widths of the borders are already in the Calc file, try zooming in.

In version 3.6.7, the blurriness is visible in some zoom levels already in Calc, but when pasted to Writer, there is no color bleeding, so that regression could be bibisected.

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha0+
Build ID: 4082b5874adddedf8332fe977b6bb47b6949b302
CPU threads: 8; OS: Linux 4.12; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on August 31st 2017

Arch Linux 64-bit
Version 3.6.7.2 (Build ID: e183d5b)
Comment 5 raal 2017-09-02 08:30:37 UTC
bibisect-win32-5.1

There are only 'skip'ped commits left to test.
The first bad commit could be any of:
e194318fa36c5efd6e41faf9eeae14d47ef01b9f   / source sha:e24d47fb840c95ca247dda5c9d3acc106b8d6abc
1ab7485ae6d05e11a3a822d8ccb701b82a0b852d /  source sha:7c927b64fa42ea1b0ddf97ce6b6aa400f2e30d5b
We cannot bisect more!

author	Krisztian Pinter <pin.terminator@gmail.com>	2015-06-14 18:38:26 (GMT)
committer	Jan Holesovsky <kendy@collabora.com>	2015-07-24 08:52:04 (GMT)
commit	e24d47fb840c95ca247dda5c9d3acc106b8d6abc (patch)
tree	e53a3817386a681016bca2939c1924f3ce228c69
parent	724249cebb5793fb3d46e011269cabb03e3aa1b9 (diff)
calc mapmode: Refactor DrawBackground to use logic units

author	Jan Holesovsky <kendy@collabora.com>	2015-07-24 08:31:17 (GMT)
committer	Jan Holesovsky <kendy@collabora.com>	2015-07-24 08:52:04 (GMT)
commit	7c927b64fa42ea1b0ddf97ce6b6aa400f2e30d5b (patch)
tree	c14772a03379aa13d9b6528f2513258106c25cab
parent	e24d47fb840c95ca247dda5c9d3acc106b8d6abc (diff)
calc mapmode: Cleanup DrawBackground + fix one pixel size.

Jan,Krisztian, 
please could you possibly take a look at this one? Thanks!
Comment 6 QA Administrators 2018-09-05 02:55:12 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug